ScanopyScanopy
Bindings

List bindings

GET
/api/v1/bindings

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Query Parameters

service_id?|

Filter by service ID

site_id?|

Filter by site ID

port_id?|

Filter by port ID

ip_address_id?|

Filter by interface ID

limit?|

Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.

offset?|

Number of results to skip. Default: 0.

at?|

As-of timestamp (ISO 8601). When set, returns SCD2 state as of this instant (snapshot view) instead of live state.

Response Body

application/json

curl -X GET "https://example.com/api/v1/bindings"
{
  "data": [
    {
      "created_at": "2026-10-30T13:27:50.853389Z",
      "first_discovery_id": null,
      "id": "5dc92b21-ce11-4afa-a7b0-57706ea2586d",
      "ip_address_id": "550e8400-e29b-41d4-a716-446655440005",
      "last_discovery_id": null,
      "last_seen_at": "2026-10-30T13:27:50.853389Z",
      "lineage_id": null,
      "port_id": "550e8400-e29b-41d4-a716-446655440006",
      "service_id": "550e8400-e29b-41d4-a716-446655440007",
      "site_id": "550e8400-e29b-41d4-a716-446655440002",
      "type": "Port",
      "updated_at": "2026-10-30T13:27:50.853389Z",
      "valid_from": "2026-10-30T13:27:50.853389Z",
      "valid_to": null
    }
  ],
  "meta": {
    "api_version": 1,
    "pagination": {
      "has_more": true,
      "limit": 50,
      "offset": 0,
      "total_count": 142
    },
    "server_version": "0.19.4"
  },
  "success": true,
  "error": "string"
}

Product names and logos are trademarks of their respective owners. See credits.